IFClite TypeScript API
    Preparing search index...

    Interface RegisterClientOptions

    Request body of the Foundation API dynamic client registration endpoint.

    interface RegisterClientOptions {
        clientDescription?: string;
        clientName: string;
        clientUrl?: string;
        errorNamespace?: string;
        fetchFn?: FetchLike;
        redirectUrl?: string;
        registrationUrl: string;
    }
    Index
    clientDescription?: string
    clientName: string
    clientUrl?: string
    errorNamespace?: string

    Prefix of thrown errors' name (see FoundationApiError); defaults to 'Foundation'.

    fetchFn?: FetchLike
    redirectUrl?: string
    registrationUrl: string

    The server's oauth2_dynamic_client_reg_url from /auth discovery.